<?php
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";
$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}
$did=$_GET['did']; $fid=$_GET['fid'];
if(!eregi("[^a-z0-9_@+-]",$did) && (!eregi("[^a-z0-9_@!+.-]",$fid))){	
$did=check($did);
$fid=check($fid);
################################################################
echo '<img src="img/edit.png" alt=""> Добавление газеты<br>';
if (!$log=="")
{
echo '';
echo '<form action="addtext.php?'.SID.'" method="post">';
echo "Название статьи: (min: 3 max: 100)<br>
<input MAXLENGTH='50' name='title' value=''/><br />";

echo "Статья: (min: 200 max: 200000)<br />
<textarea name='fid' ROWS='10'>
</textarea><br />
Выберите категорию:<br />
<select name='did'>
<option value=''>- Выбрать -</option>";
$dir = opendir ("."); 
while ($file = readdir ($dir)) 
{
if(!eregi("[^a-z0-9_-]",$file) && ($file != "img")) 
{$a[]=$file;}}  
closedir ($dir); 
sort($a);

$total = count($a);  
for ($i = 0; $i < $total; $i++){ 
	
$d=opendir($a[$i]); $n = "0"; while(($k=readdir($d))!==false){ if (ereg(".txt$", $k)){$n++;}} closedir($d); 


$lib_name=file_get_contents("$a[$i]/name.dat");

echo '
<option value="'.$a[$i].'">- '.$lib_name.'</option>';
}
echo '</select><br />';
echo '<input type="submit" value="Добавить"/>
</form>
<br>';
echo '<img src="img/custom.png" alt=""> <a href="tegi.php?'.SID.'">Теги</a><br>';
echo '<img src="img/folder_open.png" alt=""> <a href="index.php?'.SID.'">Журнал</a><br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

}else{
echo 'Вы должны быть авторизованы! Выполните <a href="/pages/vhod.php?'.SID.'">вход</a> или <a href="/pages/registration.php?'.SID.'">зарегистрируйтесь</a>!
';}

}
include_once"../themes/$config_themes/foot.php";
?>